#!/bin/sh
BASE_DIR=$(realpath $(dirname $0))
cd $BASE_DIR
. ./kselftest/runner.sh
ROOT=$PWD
if [ "$1" = "--summary" ]; then
  logfile=$BASE_DIR/output.log
  cat /dev/null > $logfile
fi
[ -w /dev/kmsg ] && echo "kselftest: Running tests in bpf" >> /dev/kmsg
cd bpf
run_many	\
	"test_verifier"	\
	"test_tag"	\
	"test_maps"	\
	"test_lru_map"	\
	"test_lpm_map"	\
	"test_progs"	\
	"test_align"	\
	"test_verifier_log"	\
	"test_dev_cgroup"	\
	"test_tcpbpf_user"	\
	"test_sock"	\
	"test_btf"	\
	"test_sockmap"	\
	"get_cgroup_id_user"	\
	"test_socket_cookie"	\
	"test_cgroup_storage"	\
	"test_select_reuseport"	\
	"test_section_names"	\
	"test_netcnt"	\
	"test_tcpnotify_user"	\
	"test_sock_fields"	\
	"test_sysctl"	\
	"test_hashmap"	\
	"test_btf_dump"	\
	"test_cgroup_attach"	\
	"test_sockopt"	\
	"test_sockopt_sk"	\
	"test_sockopt_multi"	\
	"test_tcp_rtt"	\
	"urandom_read"	\
	"test_progs_32"	\
	"test_kmod.sh"	\
	"test_libbpf.sh"	\
	"test_xdp_redirect.sh"	\
	"test_xdp_meta.sh"	\
	"test_xdp_veth.sh"	\
	"test_offload.py"	\
	"test_sock_addr.sh"	\
	"test_tunnel.sh"	\
	"test_lwt_seg6local.sh"	\
	"test_lirc_mode2.sh"	\
	"test_skb_cgroup_id.sh"	\
	"test_flow_dissector.sh"	\
	"test_xdp_vlan_mode_generic.sh"	\
	"test_xdp_vlan_mode_native.sh"	\
	"test_lwt_ip_encap.sh"	\
	"test_tcp_check_syncookie.sh"	\
	"test_tc_tunnel.sh"	\
	"test_tc_edt.sh"	\
	"test_xdping.sh"
cd $ROOT
[ -w /dev/kmsg ] && echo "kselftest: Running tests in livepatch" >> /dev/kmsg
cd livepatch
run_many	\
	"test-livepatch.sh"	\
	"test-callbacks.sh"	\
	"test-shadow-vars.sh"
cd $ROOT
[ -w /dev/kmsg ] && echo "kselftest: Running tests in net" >> /dev/kmsg
cd net
run_many	\
	"reuseport_bpf"	\
	"reuseport_bpf_cpu"	\
	"reuseport_bpf_numa"	\
	"reuseport_dualstack"	\
	"reuseaddr_conflict"	\
	"tls"	\
	"run_netsocktests"	\
	"run_afpackettests"	\
	"test_bpf.sh"	\
	"netdevice.sh"	\
	"rtnetlink.sh"	\
	"xfrm_policy.sh"	\
	"fib_tests.sh"	\
	"fib-onlink-tests.sh"	\
	"pmtu.sh"	\
	"udpgso.sh"	\
	"ip_defrag.sh"	\
	"udpgso_bench.sh"	\
	"fib_rule_tests.sh"	\
	"msg_zerocopy.sh"	\
	"psock_snd.sh"	\
	"test_vxlan_fdb_changelink.sh"
cd $ROOT
